Skip to main content
GET
Get an AssetRate by the Asset Code

Headers

X-Request-Id
string<uuid>

A unique identifier used to trace and track each request.

Authorization
string

Bearer JWT token for authentication. Required when PLUGIN_AUTH_ENABLED=true (enforced in multi-tenant deployments). Optional in default OSS single-tenant mode. Format: Bearer <token>

Path Parameters

organization_id
string<uuid>
required

The unique identifier of the Organization associated with the Ledger.

ledger_id
string<uuid>
required

The unique identifier of the associated Ledger.

asset_code
string
required

Asset code (for example, USD or BRL)

Query Parameters

to
string[] | null

Filter by destination asset codes

limit
string

Max items per page (1-100, default 10)

start_date
string

Filter asset rates created on/after this date (YYYY-MM-DD)

end_date
string

Filter asset rates created on/before this date (YYYY-MM-DD)

sort_order
string

Sort direction (asc, desc)

cursor
string

Opaque cursor token for pagination

Response

OK

items
any
required
limit
integer<int64>
required
Example:

10

next_cursor
string
Example:

"eyJpZCI6IjAxOTI..."

page
integer<int64>
Example:

1

prev_cursor
string
Example:

"eyJpZCI6IjAxOTE..."